package com.jeeplus.finance.contractRegistration.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.contractRegistration.domain.CwWorkContractBorrow;
import com.jeeplus.finance.contractRegistration.domain.CwWorkContractBorrowMessage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-11-27 13:52
 **/
//@InterceptorIgnore(tenantLine = "true")
public interface CwWorkContractBorrowMapper extends BaseMapper<CwWorkContractBorrow> {

    void updateStatusById(@Param("id") String id, @Param("borrowType")String borrowType);

    void updateStatusByContractInfoId(@Param("id") String id, @Param("borrowType")String borrowType);

    CwWorkContractBorrow selectFileByContractInfoId (@Param("id") String id);

    void updateMessageByBorrowId(@Param("id") String id, @Param("borrowType")String borrowType, @Param("type")String type);

    void deleteMessageById(@Param("id") String id);

    List<CwWorkContractBorrowMessage> findMessageList(@Param("id") String id);

    CwWorkContractBorrow selectByInfoId(String id);

    /**
     * 查询临期合同借用信息
     * @param adventDay
     * @return
     */
    List<CwWorkContractBorrowMessage> getAdventMessageList(@Param("adventDay") String adventDay);
}
